## Create a priority (desk:admin)

`POST /api/desk/v1/priorities`

Module: Desk · operationId: `createPriority` · Tag: Configuration · Auth: access token (`Authorization: Bearer <accessToken>`)

### Request body

`application/json` (required)

- `key` (string, required): Key of the priority, unique in the tenant
- `label` (string, required): Display label of the priority
- `archived` (boolean): Archived: the priority is kept for existing data but no longer offered in pickers
- `color` (string): Display color of the priority
- `id` (string): Id of the priority
- `isDefault` (boolean): Priority of new items without one
- `rank` (integer): Sort order of the priorities (ascending)

Example:

```json
{
  "color": "neutral",
  "key": "geplant",
  "label": "Geplant",
  "rank": 0
}
```

### Responses

- **201** Created (`application/json`)

Fields of the 201 answer:

- `key` (string, required): Key of the priority, unique in the tenant
- `label` (string, required): Display label of the priority
- `archived` (boolean): Archived: the priority is kept for existing data but no longer offered in pickers
- `color` (string): Display color of the priority
- `id` (string): Id of the priority
- `isDefault` (boolean): Priority of new items without one
- `rank` (integer): Sort order of the priorities (ascending)

Example 201 answer:

```json
{
  "archived": false,
  "color": "warning",
  "id": "8a5b6c7d-9e0f-4a1b-8c3d-5e6f7a8b9c03",
  "isDefault": false,
  "key": "hoch",
  "label": "Hoch",
  "rank": 3
}
```

### Example request

```bash
curl -X POST 'https://api.mbcom.cloud/api/desk/v1/priorities' \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H 'Content-Type: application/json' \
  --data '{"color":"neutral","key":"geplant","label":"Geplant","rank":0}'
```
